// Vektor mit den H-Werten
h = [ -525 -470 -420 -330 -220 -120    0 ]';

// Vektor mit den B-Werten
b = [    0 0.50 0.72 0.94 1.12 1.22 1.30 ]';

// Ergebnis von splin
d = splin(h, b);

function [y] = Bfct(x)
  y = interp(x, h, b, d);
endfunction

function [y] = Bsoll(x)
  y = Bfct(x) - 0.8;
endfunction

function [y] = Bd1(x)
  [a, y] = interp(x, h, b, d);
endfunction

// Problem 2: Suche nach H für vorgegebenes B=0.8 Tesla
[H2, diff, info] = fsolve(-250, Bsoll, Bd1);
if 1==info then
  printf('H2 = %g\n', H2);
else
  printf('Leider keine Loesung gefunden!\n');
end

