// Nichlineares Gleichungssystem

function [y] = f(x)
    y = zeros(2,1);
    y(1) = 10 / (x(1)+x(2)) -1 - sqrt(10 - x(1) - x(2));
    y(2) = 10 / (x(1) + x(2)) - 10 / (5 + x(1) - x(2));
endfunction

function [y] = jmf(x)
    y = zeros(2, 2);
    y(1,1) = 1/(2*sqrt(10-x(1)-x(2))) - 10/((x(1)+x(2))^2);;
    y(1,2) = 1/(2*sqrt(10-x(1)-x(2))) - 10/((x(1)+x(2))^2);
    y(2,1) = 10/((5+x(1)-x(2))^2) - 10/((x(1)+x(2))^2);
    y(2,2) = -10/((x(1)+x(2))^2) - 10/((5+x(1)-x(2))^2);
endfunction

[x, v, info] = fsolve([0.5; 2.0], f, jmf);

if (1 == info) then
    mprintf("x = %g\ny = %g\nz = %g\n", x(1), x(2), (10/(x(1)+x(2))));
else
    mprintf("Leider keine Loesung gefunden!\n")
end
