function [y] = parallel(a,b)
  [za, sa] = size(a);
  [zb, sb] = size(b);
  y = zeros(sa, sb);
  for i = [1:1:sa] do
    for j = [1:1:sb] do
      if a(i) > 0 then
        if b(i) > 0 then
	  y(i,j) = (a(i) * b(j))/(a(i) + b(j));
	end
      end
    end
  end
endfunction

x = linspace(0,10,51);
y = linspace(0,10,51);
clf();
plot3d(x, y, parallel(x,y), theta=-60, alpha=60, flag=[5 6 4]);
